{ *************************************************************************** }
{                                                                             }
{ KDE screensaver preview for XPde Demo                                       }
{                                                                             }
{ 2004 Sergey Mishin <mishinmail@mail.ru>                                     }
{                                                                             }
{ *************************************************************************** }

unit Unit1;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls, QExtCtrls, Qt, uXPAPI, uXPAPI_imp;

type
  TForm1 = class(TForm)
    pnlPreview: TPanel;
    btnSettings: TButton;
    btnPreview: TButton;
    btnTest: TButton;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure btnTestClick(Sender: TObject);
    procedure btnSettingsClick(Sender: TObject);
    procedure btnPreviewClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  wndPreview: cardinal;

implementation

{$R *.xfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
     wndPreview:=QWidget_winID(pnlPreview.Handle);
end;

procedure TForm1.btnTestClick(Sender: TObject);
begin
      XPAPI.ShellExecute('kmatrix.kss --demo',false);
end;

procedure TForm1.btnSettingsClick(Sender: TObject);
begin
     XPAPI.ShellExecute('kmatrix.kss --setup',false);
end;

procedure TForm1.btnPreviewClick(Sender: TObject);
var s: string;
begin
     XPAPI.ShellExecute('kmatrix.kss --window-id '+IntToStr(wndPreview),false);
end;

end.
